<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:eCH-0058="http://www.ech.ch/xmlns/eCH-0058/3" 
	xmlns:eschkg-10301-000900="http://www.steuerkonferenz.ch/xmlns/eschkg-10301-000900/1"
	> 
	<xsl:output method="xml" indent="yes" encoding="UTF-8" omit-xml-declaration="no" />

	<xsl:template match="eschkg-10301-000900:message" >
	
	<document xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="eSchKG_Schema_1.1a.xsd">
	
		<xsl:call-template name="header"/>
		<messages>
			<xsl:apply-templates select="eschkg-10301-000900:content/*"/>
		</messages>
	
	</document>
	</xsl:template>

	<xsl:template match="eschkg-10301-000900:header" name="header">
	<envelope>
		<transactionInfo>
		  <version><xsl:value-of select="//eschkg-10301-000900:object/eschkg-10301-000900:version" /></version>
		  <xsl:if test="count(//eschkg-10301-000900:object/eschkg-10301-000900:numMsg) = 1">
			<numMsg><xsl:value-of select="//eschkg-10301-000900:object/eschkg-10301-000900:numMsg" /></numMsg>
		  </xsl:if>
		  <usage>
		  <xsl:choose>
				<xsl:when test="//eschkg-10301-000900:testDeliveryFlag = 'false'">production</xsl:when>
				<xsl:otherwise>test</xsl:otherwise>
		  </xsl:choose>
		  </usage>
		</transactionInfo>
		<sender>
			<dateSent><xsl:value-of select="//eschkg-10301-000900:eventDate" /></dateSent>
			<senderID><xsl:value-of select="//eschkg-10301-000900:senderId" /></senderID>
			<senderName><xsl:value-of select="//eschkg-10301-000900:declarationLocalReference/eschkg-10301-000900:name" /></senderName>
			<xsl:if test="count(//eschkg-10301-000900:declarationLocalReference/eschkg-10301-000900:contact) = 1">
				<senderContact><xsl:value-of select="//eschkg-10301-000900:declarationLocalReference/eschkg-10301-000900:contact" /></senderContact>
			</xsl:if>
			<xsl:if test="count(//eschkg-10301-000900:declarationLocalReference/eschkg-10301-000900:phone) = 1">
				<senderPhone><xsl:value-of select="//eschkg-10301-000900:declarationLocalReference/eschkg-10301-000900:phone" /></senderPhone>
			</xsl:if>
			<xsl:if test="count(//eschkg-10301-000900:declarationLocalReference/eschkg-10301-000900:fax) = 1">
				<senderFax><xsl:value-of select="//eschkg-10301-000900:declarationLocalReference/eschkg-10301-000900:fax" /></senderFax>
			</xsl:if>
			<xsl:if test="count(//eschkg-10301-000900:declarationLocalReference/eschkg-10301-000900:email) = 1">
				<senderEmail><xsl:value-of select="//eschkg-10301-000900:declarationLocalReference/eschkg-10301-000900:email" /></senderEmail>
			</xsl:if>
		</sender>
		<receiver>
		  <receiverID><xsl:value-of select="//eschkg-10301-000900:recipientId" /></receiverID>
		</receiver>
	  </envelope>  
	</xsl:template>
	
	<xsl:template match="*" name="all">
		<xsl:element name="{local-name()}">
		   <xsl:copy-of select="@*"/>
		   <xsl:apply-templates/>
		</xsl:element>
	</xsl:template>

	<xsl:template match="text() | comment() | processing-instruction()">
		<xsl:copy/>
	</xsl:template>

</xsl:stylesheet>